#pragma once

#include "core/inputtype.h"
#include "core/updatedata.h"

class Game
{
public:
    virtual ~Game() = default;

    virtual void run() = 0;
    virtual void input(PlayerInput&& inputdata) = 0;
    virtual void update(UpdateData&& updatedata) = 0;
    virtual void display() const = 0;
};
