#pragma once

#include "classicmode/classicactions.h"
#include "tools/mathutils.h"

#include <vector>
#include <memory>
#include <array>

class ClassicSprite;
class ClassicAnimationScenario;

struct MockElement
{
    std::shared_ptr<ClassicSprite> sprite;
    std::array<std::shared_ptr<ClassicAnimationScenario>, 4> animations;
    Type type = Type::NONE;

    Coordinates coordinates;
    std::vector<Coordinates> falling_curve_interpolation;
};