#pragma once

#include <set>

#include "tools/mathutils.h"
#include "classicnote.h"

namespace classic
{

struct Beatmap
{
    std::set<ClassicNote*, NotePtrCompt> notes;
    microsec visibility_offset;
};

Beatmap createBeatmap(const std::string& filepath, const Context& context);

}

