#pragma once

#include <memory>

#include <SFML/Graphics/RenderWindow.hpp>

class Game;
class Editor;

namespace classic
{
    std::unique_ptr<Game> initGame(const std::shared_ptr<sf::RenderTarget>& render_target);
    std::unique_ptr<Editor> initEditor(const std::shared_ptr<sf::RenderTarget>& render_target);
}
